> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Sora 创建角色

> create role task



## OpenAPI

````yaml POST /sora/role/create
openapi: 3.0.0
info:
  title: Sora AI
  description: API documentation for Sora AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: sora
    description: ''
paths:
  /sora/role/create:
    post:
      tags:
        - sora
      summary: create role task
      description: create role task
      operationId: ApiPublicController_createRole
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRoleDto'
      responses:
        '200':
          description: Role task created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIdDto'
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIdDto'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateRoleDto:
      type: object
      properties:
        videoUrl:
          type: string
          format: uri
          description: video url of the role,not longer than 3 seconds
          example: https://example.com/example.mp4
        name:
          type: string
          description: name of the role，must be unique
          example: mikeniuniu
        displayName:
          type: string
          description: display name of the role
          example: display name of the role
        description:
          type: string
          description: description of the role
          example: description of the role
        instructionText:
          type: string
          description: instruction text of the role
          example: instruction text of the role
        safetyInstructionText:
          type: string
          description: safety instruction text of the role
          example: safety instruction text of the role
      required:
        - videoUrl
        - name
    TaskIdDto:
      type: object
      properties:
        taskId:
          type: string
          description: task id, used to get task result later
      required:
        - taskId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````